extends CanvasLayer

@export var player_name : LineEdit
@export var player_color : ColorPickerButton

var key = "SimpleSaveLoad"

func _save() -> void:
	var config = ConfigFile.new()
	config.set_value("Settings", "name", player_name.text)
	config.set_value("Settings", "color", player_color.color)
	config.save_encrypted_pass("user://settings.cfg", key)
	
	print("saved!")


func _load() -> void:
	var config = ConfigFile.new()
	var result = config.load_encrypted_pass("user://settings.cfg", key)
	
	if result == OK:
		player_name.text = config.get_value("Settings", "name")
		player_color.color = config.get_value("Settings", "color")
	else:
		printerr("error on load!")
	
